import request from '@/utils/request'

// 查询直播用户红包记录列表
export function listLiveUserRedRecord(query) {
  return request({
    url: '/live/liveUserRedRecord/list',
    method: 'get',
    params: query
  })
}

// 查询直播用户红包记录详细
export function getLiveUserRedRecord(id) {
  return request({
    url: '/live/liveUserRedRecord/' + id,
    method: 'get'
  })
}

// 新增直播用户红包记录
export function addLiveUserRedRecord(data) {
  return request({
    url: '/live/liveUserRedRecord',
    method: 'post',
    data: data
  })
}

// 修改直播用户红包记录
export function updateLiveUserRedRecord(data) {
  return request({
    url: '/live/liveUserRedRecord',
    method: 'put',
    data: data
  })
}

// 删除直播用户红包记录
export function delLiveUserRedRecord(id) {
  return request({
    url: '/live/liveUserRedRecord/' + id,
    method: 'delete'
  })
}

// 导出直播用户红包记录
export function exportLiveUserRedRecord(query) {
  return request({
    url: '/live/liveUserRedRecord/export',
    method: 'get',
    params: query
  })
}
